%% Lab4 Electroaccoustic George Roustas
% AM 7906
% @ 2015-16
% functions used polyfit_fun / polar_dB_update

% insert normalised measurements values here(g1,g2,g3)
% g1 - 200Hz / g2 - 2KHz / g3 - 8KHz
g1 = [1.0000    0.7284    0.2780    0.1597    0.1310];
g2 = [1.0000    0.9459    0.6757    0.5405    0.4730];
g3 = [1.0000    0.6765    0.2735    0.1765    0.1471];

g1 = polyfit_fun(g1);
g2 = polyfit_fun(g2);
g3 = polyfit_fun(g3);

l1 = length(g1);
l2 = length(g2);
l3 = length(g3);

ang1=linspace(0,pi,l1);				% angle in (rads).
ang2=linspace(0,pi,l2);				% angle in (rads).
ang3=linspace(0,pi,l3);				% angle in (rads).

N0 = 360;
phi0=linspace(0,2*pi,N0);
x0 = sin(phi0); % gain circles
y0 = cos(phi0); 
hold on 

polar_dB_update(ang1,ang2,ang3,g1,g2,g3, ...
	40, 5, 8);				% example of polar_dB_update.m call modified 

